All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::visualization::gnuplot::Command Class Reference
Visualization

Gnuplot command. More...

`#include <roboptim/core/visualization/gnuplot-commands.hh>`

## Public Member Functions

| Command (std::string cmd) throw ()
| Make a command from a string. More...
| ~Command () throw ()
const std::string & | command () const throw ()
| Retrieve the command as a string. More...

## Protected Attributes

std::string | command_
| Store Gnuplot command. More...

## Detailed Description

Gnuplot command.

A command represents a Gnuplot command. The representation of the command as a string can be accessed through the command() method.

## Constructor & Destructor Documentation

roboptim::visualization::gnuplot::Command::Command | ( | std::string | cmd | ) |
throw | ( |
| ) |  |

explicit

Make a command from a string.

roboptim::visualization::gnuplot::Command::~Command | ( |  | ) |
throw | ( |
| ) |  |

## Member Function Documentation

const std::string & roboptim::visualization::gnuplot::Command::command | ( |  | ) | const
throw | ( |
| ) |  |

Retrieve the command as a string.

References command_.

## Member Data Documentation

std::string roboptim::visualization::gnuplot::Command::command_

protected

Store Gnuplot command.

Referenced by command().